Bug 837669 - Review Request: php-doctrine-DoctrineORM - Doctrine Object Relational Mapper
Review Request: php-doctrine-DoctrineORM - Doctrine Object Relational Mapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 517641 817303 823043 837666 837668
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 12:23 EDT by Shawn Iwinski
Modified: 2013-07-19 19:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-doctrine-DoctrineORM-2.3.3-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 21:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (73.05 KB, text/plain)
2013-06-29 02:23 EDT, Remi Collet
no flags Details
review.txt (6.85 KB, text/plain)
2013-06-29 02:25 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-07-04 12:23:30 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-doctrine-DoctrineORM.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-doctrine-DoctrineORM-2.2.2-1.fc17.src.rpm

Description: 
Object relational mapper (ORM) for PHP that sits on top of a powerful
database abstraction layer (DBAL). One of its key features is the option
to write database queries in a proprietary object oriented SQL dialect
called Doctrine Query Language (DQL), inspired by Hibernate's HQL. This
provides developers with a powerful alternative to SQL that maintains
flexibility without requiring unnecessary code duplication.

Fedora Account System Username: siwinski
Comment 1 Shawn Iwinski 2012-07-04 12:47:56 EDT
rpmlint outputs the following:

php-doctrine-DoctrineORM.noarch: E: script-without-shebang /usr/bin/doctrine.php
php-doctrine-DoctrineORM.noarch: E: script-without-shebang /usr/bin/doctrine.bat
php-doctrine-DoctrineORM.noarch: E: incorrect-fsf-address /usr/share/doc/pear/DoctrineORM/LICENSE
php-doctrine-DoctrineORM.noarch: E: zero-length /usr/share/doc/pear/DoctrineORM/Doctrine/ORM/README.markdown
php-doctrine-DoctrineORM.noarch: W: no-manual-page-for-binary doctrine.php
php-doctrine-DoctrineORM.noarch: W: no-manual-page-for-binary doctrine.bat
php-doctrine-DoctrineORM.noarch: W: no-manual-page-for-binary doctrine

* I will fix script-without-shebang according to http://fedoraproject.org/wiki/Common_Rpmlint_issues#script-without-shebang

* Since this is a PEAR package and all files are listed in package.xml, are zero-length errors required to be fixed?

* incorrect-fsf-address: There is only whitespace and mailing address differences.  I will work with upstream to get this fixed.  Is this a blocker until it is fixed upstream?  http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address is not clear if this is a blocker or not.

* I will ask upstream to fix no-manual-page-for-binary warnings



Also, I will work with upstream to update their package.xml file so doctrine.bat only gets installed on Windows OS (using phprelease and installconditions) like several other PEAR packages do (phpci for example).
Comment 2 Shawn Iwinski 2012-07-06 22:15:55 EDT
(In reply to comment #1)

> * I will fix script-without-shebang according to
> http://fedoraproject.org/wiki/Common_Rpmlint_issues#script-without-shebang

If I remove the execute mode bit from /usr/bin/doctrine.php, rpmlint gives the warning "non-executable-in-bin /usr/bin/doctrine.php 0644L".  How should this file be handled?

> * incorrect-fsf-address: There is only whitespace and mailing address
> differences.  I will work with upstream to get this fixed.  Is this a
> blocker until it is fixed upstream? 
> http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address is
> not clear if this is a blocker or not.

DoctrineORM (actually all Doctrine projects) is changing from LGPL license to MIT license in future release.

See:
* https://groups.google.com/d/topic/doctrine-dev/1TfuNPiRvks/discussion
* http://dlm.beberlei.de/licenses/projects
* https://github.com/doctrine/doctrine2/commit/70458b2f48eba9a7e184aef95741aad4865b73e5
Comment 3 Shawn Iwinski 2013-06-07 16:48:57 EDT
- Updated to 2.3.3
- Fixed license
- Added php-dom require
- Made a single executable (removed doctrine-pear.php)
- Removed doctrine.bat
- Added "%global pear_metadir" and usage in %install
- Changed RPM_BUILD_ROOT to %{buildroot}

Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-doctrine-DoctrineORM.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-doctrine-DoctrineORM-2.3.3-1.fc18.src.rpm
Comment 4 Remi Collet 2013-06-29 02:23:57 EDT
Created attachment 766800 [details]
phpci.log

phpcompatinfo version 2.18.0.
Comment 5 Remi Collet 2013-06-29 02:25:00 EDT
Created attachment 766801 [details]
review.txt


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 837669
Comment 6 Remi Collet 2013-06-29 02:27:48 EDT
Awfull package.xml juggling... hope upstream will care of that (which doesn't really seems the case reading your 6 months old bug report)..

Therefore the fix is wanted and correct.

No blocker.

=== APPROVED ===
Comment 7 Shawn Iwinski 2013-06-29 12:02:02 EDT
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-doctrine-DoctrineORM
Short Description: Doctrine Object Relational Mapper
Owners: siwinski
Branches: f18 f19 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-06-29 12:05:55 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-06-29 18:08:14 EDT
php-doctrine-DoctrineORM-2.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineORM-2.3.3-1.fc19
Comment 10 Fedora Update System 2013-06-29 18:08:24 EDT
php-doctrine-DoctrineORM-2.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineORM-2.3.3-1.el6
Comment 11 Fedora Update System 2013-06-29 18:08:34 EDT
php-doctrine-DoctrineORM-2.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineORM-2.3.3-1.fc18
Comment 12 Fedora Update System 2013-06-30 16:11:08 EDT
php-doctrine-DoctrineORM-2.3.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-07-08 21:31:28 EDT
php-doctrine-DoctrineORM-2.3.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-07-08 21:33:26 EDT
php-doctrine-DoctrineORM-2.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-07-19 19:59:45 EDT
php-doctrine-DoctrineORM-2.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.